/* bbsdef.h - header file for MBBS 10.0 userrecord */

/* Translated by Stig Johansen 30/12-1994 */

/*
  AccessTypes  = (ReadMessage, WriteMessage, SendFiles, ReceiveFiles,
                   SigopFunctions, SysopFunctions, OpenDoors, RFU);
  AccessType   = set of AccessTypes;
  ProtocolT    = (NoProtocol,                        { add more later }
                  AsciiP, XModemP, XModemCRCP, YModemP, ZModemP, ZModemP1,
                  ZModemP2, KermitP, YmodemBP, YmodemGP, Modem7P, TelinkP);
  MenuT        = (NoviceM, ExpertM, JuniorM, SuperM);
  TerminalT    = (TTY, ANS, VIP);
  MsgReadT     = (marked, forwards, backwards, reference);
  CharSets     = (IBNchars, US7chars, ISOchars, IBMchars,
                  UK7chars, GE7chars, SF7chars, NO7chars,
                  DE7chars, IT7chars, FR7chars, SP7chars,
                  MACchars);
  MsgNumT      = word;

  PrefT   = (SendARC, SendTXT, SendZIP, SendLHARC, SendARJ);
*/


struct DOY {                            /* a DATE                   */
    byte year,
         month,
         day;
};

struct TOD {                            /* a TIME                   */
    byte hour,
         minute,
         second;
};


struct DT {                             /* DATE and TIME            */
    struct DOY date;
    struct TOD time;
};


struct m_conftype {                       /* for user record          */
    word    lastread;                   /* value $FFFE = invited    */
                                        /* value $FFFF = nonmember  */
    byte    access;                     /* security this conference */
};


struct MBBS_userrec {
    char        name[31];               /* First AND Last name     */
    char        address[31];            /* Street address          */
    char        citystate[31];          /* City/State              */
    char        hometelno[17];          /* home telephone          */
    char        worktelno[17];          /* work telephone          */
    char        password[9];            /* users password          */
    char        alias[31];
    struct DOY  registered;             /* registered on system    */
    struct DT   lastaccess;             /* last time on system     */
    struct DT   filesdate;              /* last date files checked */
    struct DT   lastlogoff;             /* last logged out         */
    word        resume;                 /* resume number           */
    byte        resumeadr;              /* add address to resume   */
    integer     timelimit;              /* daily time limit        */
    integer     timeused;               /* minutes on system today */
    integer     fileused;               /* minutes in file menu    */
    integer     filelimit;              /* daily file limit        */

    ulong       timeson;                /* number of times on      */
    ulong       atimeson;               /* times on last reset     */
    ulong       uploaded;               /* files uploaded          */
    ulong       auploaded;              /* uploaded last reset     */
    ulong       downloaded;             /* files downloaded        */
    ulong       adownloaded;            /* downloaded last reset   */
    ulong       msgsleft;               /* messages entered        */
    ulong       amsgsleft;              /* messages entered lst res*/
    ulong       msgsread;               /* messages read           */
    ulong       msgsdumped;             /* messages dumped         */
    ulong       totaltime;              /* total time on system    */
    ulong       atotaltime;             /* at last reset           */
    ulong       bytesdown;              /* downloaded bytes        */
    ulong       abytesdown;             /* at last reset           */
    ulong       bytesup;                /* bytes uploaded          */
    ulong       abytesup;               /* at last reset           */
    integer     pagelength;             /* page length             */
    byte        protocol;               /* download protocol       */
    byte        readtype;               /* dflt read type          */
    byte        menutype;               /* menu display type       */
    byte        ansi;                   /* wants ANSI graphics     */
    byte        fullscreen;             /* wants full screen edit  */
    byte        termtype;               /* terminal type           */
    byte        charset;                /* character set           */
    byte        ovrmode;                /* overlay in editor       */
    byte        norowcol;               /* turned off rowcol       */
    byte        noshow;                 /* no conference show      */
    byte        killed;                 /* user is dead            */
    byte        nomsgcol;               /* no colours in msgs      */
    byte        autoxfr;                /* more coming?            */
    integer     polls;                  /* one bit per poll        */
    char        langkey;                /* language key if any     */
    byte        filtering;              /* filtering noise         */
    byte        shortform;              /* short message format    */
	char        mainscript[13];         /* script to use if any    */
    byte        msgfilter;              /* system msg filter       */
    byte        sendpref;               /* preference for SEND     */
    byte        includeown;             /* wants own messages back */
    word        warnmsg;                /* number of warning msg   */
    byte        rightmargin;            /* message margin (0=>72)  */
	char        spare[44];              /* RFU                     */
    struct m_conftype conf[226];          /* zero is for MAIN        */
};
