%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The following tokens list the colours to be used on the reports. Colours   %
% must be in the format:        <forground> [on <background>] ["blink"]      %
%                                                                            %
% Where <forground> & <background> are one of the following colours:         %
%                                                                            %
%       black  blue  green  cyan  red  magenta  brown  lgrey                 %
%                                                                            %
%       grey  lblue  lgreen  lcyan  lred  lmagenta  yellow  white            %
%                                                                            %
% and, [on <background>] is optional.                                        %
%                                                                            %
% and, ["blink"] following the colour is also optional.                      %
%                                                                            %
% See below for examples:                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Report Colours:

RepBBS                          white
RepTitle                        yellow blink
RepSubTitle                     lgreen
RepNo                           green
RepName                         lgrey
RepData                         lgrey
RepDots                         cyan
RepBorder                       cyan
RepShadow                       blue
RepFromDate                     green

% This defines the colour to use for masked names on reports (see NameMask)

RepHiddenName                   dgrey

% This defines the colour which is used when revealing realnames on reports

RepRealName                     red

% Usage Report Colours:

UsageBBS                        white
UsageTitle                      yellow blink
UsageSubTitle                   lgreen
UsageBorder                     cyan
UsageShadow                     blue
UsageAxis                       green
UsageEvenBars                   cyan
UsageOddBars                    lgrey
UsageAvgInd                     white
UsageLabSides                   lgrey
UsageLabBottom                  lgrey

% These are colour settings for the Today/Yesterday's Callers reports:

CallBBS                         white
CallTitle                       yellow  blink
CallSubTitle                    lgreen
CallBorder                      cyan
CallShadow                      blue

% This defines the colour to use for masked names and/or cities on reports
% (see NameMask, CityMask)

CallHiddenName                  lgrey on cyan
CallHiddenCity                  lgrey on cyan

% This defines the colour which is used when revealing realnames on reports

CallRealName                    red on cyan

% Special highlight for new users. If you do not wish to highlight new users
% then use the same colour here as you do for token 'CallName' below.

CallNewuser                     white

% Tokens here include a title string before the colour. The titles here are
% used for the title of each column in the Today/Yesterday's Callers reports.
% These titles should not be longer than the width used in the CallOptions,
% otherwise they will be truncated. Colours used here are used for the columns
% of data. Note the _ at the start of each label - columns are seperated by
% one space, this enables the labels to join if desired.

CallNo          #               lgrey
CallName        Caller's_Name   lgrey
CallCity        Caller's_City   lgrey
CallLine        N#              lgrey
CallBaud        Baud            lgrey
CallBaudo       Baud            lgrey
CallBaudk       Baud            lgrey
CallTime        Called          lgrey
CallOnFor       OnFor           lgrey
CallCalls       Call            lgrey
CallPrivil      Access          lgrey
CallTotalUpKb   TKbUp           lgrey
CallTotalDnKb   TKbDl           lgrey
CallDnKb        KbDl            lgrey
CallSpace       _               lgrey

% Colour for the "Press ENTER to continue" prompt after each report...

PressEnter                      cyan

% Colour to reset to after the press enter prompt but before return to menus...

ResetColour                     cyan

% More tokens not in use, wonder if Scott will put these kind of stats in the
% user file? (Just suggesting, not demanding)

% CallUpls        KbUl            lgrey
% CallWrote       Posted          lgrey
% CallNoDls       #_Dnls          lgrey
% CallNoUls       #_Upls          lgrey
% CallLeechs      Leechs          lgrey
% CallDrops       Droped          lgrey
