%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The following tokens list the colours to be used on the reports. Colours   %
% must be in the format:        <forground> [on <background>] ["blink"]      %
%                                                                            %
% Where <forground> & <background> are one of the following colours:         %
%                                                                            %
%       black  blue  green  cyan  red  magenta  brown  lgrey                 %
%                                                                            %
%       grey  lblue  lgreen  lcyan  lred  lmagenta  yellow  white            %
%                                                                            %
% and, [on <background>] is optional.                                        %
%                                                                            %
% and, ["blink"] following the colour is also optional.                      %
%                                                                            %
% See below for examples:                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Report Colours:

RepBBS                          white on blue
RepTitle                        yellow on blue blink
RepSubTitle                     lgreen on blue
RepNo                           cyan on blue
RepName                         lgrey on blue
RepData                         lgrey on blue
RepDots                         cyan on blue
RepBorder                       lcyan on blue
RepShadow                       blue
RepFromDate                     cyan on blue

% This defines the colour to use for masked names on reports (see NameMask)

RepHiddenName                   lgrey on blue

% This defines the colour which is used when revealing realnames on reports

RepRealName                     red on blue

% Usage Report Colours:

UsageBBS                        white on blue
UsageTitle                      yellow on blue blink
UsageSubTitle                   lgreen on blue
UsageBorder                     lcyan on blue
UsageShadow                     blue
UsageAxis                       lblue on blue
UsageEvenBars                   cyan on blue
UsageOddBars                    lgrey on blue
UsageAvgInd                     white on blue
UsageLabSides                   lgrey on blue
UsageLabBottom                  lgrey on blue

% These are colour settings for the Today/Yesterday's Callers reports:

CallBBS                         white on blue
CallTitle                       yellow on blue blink
CallSubTitle                    lgreen on blue
CallBorder                      lcyan on blue
CallShadow                      blue

% This defines the colour to use for masked names and/or cities on reports
% (see NameMask, CityMask)

CallHiddenName                  lgrey on blue
CallHiddenCity                  lgrey on blue

% This defines the colour which is used when revealing realnames on reports

CallRealName                    red on blue

% Special highlight for new users. If you do not wish to highlight new users
% then use the same colour here as you do for token 'CallName' below.

CallNewuser                     white on blue

% Tokens here include a title string before the colour. The titles here are
% used for the title of each column in the Today/Yesterday's Callers reports.
% These titles should not be longer than the width used in the CallOptions,
% otherwise they will be truncated. Colours used here are used for the columns
% of data. Note the _ at the start of each label - columns are seperated by
% one space, this enables the labels to join if desired.

CallNo          #               lgrey on blue
CallName        Caller's_Name   lgrey on blue
CallCity        Caller's_City   lgrey on blue
CallLine        N#              lgrey on blue
CallBaud        Baud            lgrey on blue
CallBaudo       Baud            lgrey on blue
CallBaudk       Baud            lgrey on blue
CallTime        Called          lgrey on blue
CallOnFor       OnFor           lgrey on blue
CallCalls       Call            lgrey on blue
CallPrivil      Access          lgrey on blue
CallTotalUpKb   TKbUp           lgrey on blue
CallTotalDnKb   TKbDl           lgrey on blue
CallDnKb        KbDl            lgrey on blue
CallSpace       _               lgrey on blue

% Colour for the "Press ENTER to continue" prompt after each report...

PressEnter                      cyan

% Colour to reset to after the press enter prompt but before return to menus...

ResetColour                     cyan

% More tokens not in use, wonder if Scott will put these kind of stats in the
% user file? (Just suggesting, not demanding)

% CallUpls        KbUl            lgrey on blue
% CallWrote       Posted          lgrey on blue
% CallNoDls       #_Dnls          lgrey on blue
% CallNoUls       #_Upls          lgrey on blue
% CallLeechs      Leechs          lgrey on blue
% CallDrops       Droped          lgrey on blue
