%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The following tokens list the colours to be used on the reports. Colours   %
% must be in the format:        <forground> [on <background>] ["blink"]      %
%                                                                            %
% Where <forground> & <background> are one of the following colours:         %
%                                                                            %
%       black  blue  green  cyan  red  magenta  brown  lgrey                 %
%                                                                            %
%       grey  lblue  lgreen  lcyan  lred  lmagenta  yellow  white            %
%                                                                            %
% and, [on <background>] is optional.                                        %
%                                                                            %
% and, ["blink"] following the colour is also optional.                      %
%                                                                            %
% See below for examples:                                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Report Colours:

RepBBS                          white on cyan
RepTitle                        yellow on cyan blink
RepSubTitle                     lgreen on cyan
RepNo                           red on cyan
RepName                         black on cyan
RepData                         black on cyan
RepDots                         lgrey on cyan
RepBorder                       blue on cyan
RepShadow                       blue
RepFromDate                     lblue on cyan

% This defines the colour to use for masked names on reports (see NameMask)

RepHiddenName                   lgrey on cyan

% This defines the colour which is used when revealing realnames on reports

RepRealName                     red on cyan

% Usage Report Colours:

UsageBBS                        white on cyan
UsageTitle                      yellow on cyan blink
UsageSubTitle                   lgreen on cyan
UsageBorder                     blue on cyan
UsageShadow                     blue
UsageAxis                       grey on cyan
UsageEvenBars                   blue on cyan
UsageOddBars                    lblue on cyan
UsageAvgInd                     white on cyan blink
UsageLabSides                   black on cyan
UsageLabBottom                  black on cyan

% These are colour settings for the Today/Yesterday's Callers reports:

CallBBS                         white on cyan
CallTitle                       yellow on cyan blink
CallSubTitle                    lgreen on cyan
CallBorder                      blue on cyan
CallShadow                      blue

% This defines the colour to use for masked names and/or cities on reports
% (see NameMask, CityMask)

CallHiddenName                  lgrey on cyan
CallHiddenCity                  lgrey on cyan

% This defines the colour which is used when revealing realnames on reports

CallRealName                    red on cyan

% Special highlight for new users. If you do not wish to highlight new users
% then use the same colour here as you do for token 'CallName' below.

CallNewuser                     white on cyan

% Tokens here include a title string before the colour. The titles here are
% used for the title of each column in the Today/Yesterday's Callers reports.
% These titles should not be longer than the width used in the CallOptions,
% otherwise they will be truncated. Colours used here are used for the columns
% of data.

CallNo          #               black on cyan
CallName        Caller's_Name   black on cyan
CallCity        Caller's_City   black on cyan
CallLine        N#              black on cyan
CallBaud        Baud            black on cyan
CallBaudo       Baud            black on cyan
CallBaudk       Baud            black on cyan
CallTime        Called          black on cyan
CallOnFor       OnFor           black on cyan
CallCalls       Call            black on cyan
CallPrivil      Access          black on cyan
CallTotalUpKb   TKbUp           black on cyan
CallTotalDnKb   TKbDl           black on cyan
CallDnKb        KbDl            black on cyan
CallSpace       _               black on cyan

% Colour for the "Press ENTER to continue" prompt after each report...

PressEnter                        yellow

% Colour to reset to after the press enter prompt but before return to menus...

ResetColour                       cyan

% More tokens not in use, wonder if Scott will put these kind of stats in the
% user file? (Just suggesting, not demanding)

% CallUpls        KbUl            black on cyan
% CallWrote       Posted          black on cyan
% CallNoDls       #_Dnls          black on cyan
% CallNoUls       #_Upls          black on cyan
% CallLeechs      Leechs          black on cyan
% CallDrops       Droped          black on cyan
