/* fixfdir: Scans ex. filedirg.000 and checks the dir's. */
/*          Creates if not present */
#include <stdio.h>
#include <stdlib.h>
#include <dir.h>
#include <ctype.h>
#define VNAME "fixfdir ver.0.2a, copyright (c) 1994 Stig Johansen"


void morehelp(void) {
	printf("syntax: fixfdir file.name\n");
	exit(1);
}


/* getdir: returns the directory in <s>. <s> is a string like this: */
/* /bbbs               c:\file\bbs\bbbs            @w:s The ultimate system! */
/* and this -----------^^^^^^^^^^^^^^^^ is what we want! */
char *getdir(char *s) {
	static char tmps[80];
	char *tmpp1, *tmpp2;

	tmpp1 = s;
	tmpp2 = tmps;

	while (!isspace(*++tmpp1));				/* skip the first argument */
	while (isspace(*++tmpp1));				/* skip any spaces if present */
	while (!isspace(*tmpp1))				/* copy the dir into tmps */
		*tmpp2++=*tmpp1++;
	*tmpp2 = '\0';							/* terminate the new string */
	return (char *)&tmps;					/* return to caller. */
}

/* isslash: returns 0 on not '\' or '/' and '\0'*/
int isslash(char c) {
	return ((c=='/')||(c=='\\')||(c=='\0'));
}


/* checkdir: checks all parts of dir <s> for existance */
/*           if they don't exist, checkdir makes'em */
/*           returns -1 on error, otherwise number of dir's made */
int checkdir(char *s) {
	int dircount;
	char *dirs;
	char *tmpp1, *tmpp2;

	dirs = malloc(80);
	tmpp1 = s;
	tmpp2 = dirs;
	dircount = -1;
	while (*tmpp1!='\0') {					/* go until end of string */
		while (!isslash(*tmpp1))			/* if it ain't a slash */
			*tmpp2++=*tmpp1++;				/* copy it */
		if (*(tmpp1-1)=='\\') tmpp1++;		/* if the last char was a slash */
		else								/* drop it */
		{									/* if not */
			*tmpp2='\0';					/* terminate string */
			if (++dircount!=0) {			/* check if it is a legal dir */
				if (chdir(dirs)==-1)		/* try to change to it */
					if (mkdir(dirs)==-1)    /* if no change try to make it */
						{ perror("fixfdir-cd"); }	/* if fail, print a error */
					else					/* else write we made it! */
						{ fprintf(stdout,"made dir: <%s>\n",dirs); }
			}								/* now lets check for more dirs */
			if (*tmpp1!='\0') *tmpp2++=*tmpp1++;
		}
	}
	free(dirs);
	return dircount;						/* return the number of dir's */
}



int main(int argc, char *argv[]) {
	FILE *fp;
	char *str;
	char *str2;
	int status;
	char *curdir;

	fprintf(stdout,"%s\n",VNAME);
	if (argc<2) morehelp();
	curdir = malloc(256);
	*curdir = (char) (getdisk()+65);
	*(curdir+1) = ':';
	*(curdir+2) = '\\';
	if (getcurdir(0,curdir+3)==-1) perror("fixfdir");
	if ((fp=fopen(argv[1],"rt"))!=NULL) {
		str = malloc(256);
		while ((str=fgets(str,255,fp))!=NULL) {
			str2 = getdir(str);
			checkdir(str2);
		}
		fclose(fp);
		free(str);
	} else perror("fixfdir");
	chdir(curdir);
	return 0;
}
