%Ŀ
% Control File for MaxAll v1.08                                             
%
%
%       Lines starting with % sign are ignored, along with blank lines.
%       Spaces, Tabs, Newlines are all considered white space between tokens.
%
%       Strings must use underscores in place of spaces. E.g. as in BBSName
%
%
% BBSName               Title of your BBS. (Must be smaller than length of
%                       line below)

BBSName                 White_Lightning

%                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
%
% Lines                 This is the number of nodes your system is running if
%                       a multi-line system. This does NOT include any local
%                       nodes unless you want the local nodes to count as usage
%                       on the system, in which case you would not specifiy the
%                       'l' (local) option when running MaxAll. This affects
%                       the usage reports and thus are total usage for the
%                       whole system. Ie. If the system runs 5 nodes/lines,
%                       then Lines must equal 5 as MaxAll collects usage
%                       information from all 5 lines and generates one report.

Lines                   2

%
% Use24Hours            Controls the use of 24 hour time (yes), or 12 hour
%                       time (no).

Use24Hours              No

%
% TimeOut               Sets the timeout in half seconds to wait for a report
%                       being viewed to become available.

TimeOut                 10

%Ŀ
% The following options relate to the today's/yesterday's callers reports:  
%
%
%
% CallOptions           This line defines the today/yesterday callers reports
%                       - Options can be listed in any order.
%                       - Widths listed here are recommeneded values.
%                       - Positive widths justify column left.
%                       - Negative widths justify column right.
%                       - Use S:<n> to insert column spaces.
%                       - Yes you can not fit all columns on the report.
%                       - Too many columns, looks ugly.
%                       - Try the samples below.
%                       - Use RUN.BAT to refresh the reports and check to see
%                         that you have the spacing as you like it.
%
%      Option:   Width: Description:
%
%      No:<n>      3    Call number of user. Call number is ordered by the
%                       time the user called. If have a multiline system
%                       which can take more than 100 calls a day, then width
%                       should equal 4.
%
%      Name:<n>   25    Caller's name. You may have to reduce this width to
%                       fit other columns on the report.
%
%      Line:<n>    2    The line (node) number the caller was on.
%
%      Baud:<n>    6    Baud rate of caller. Eg. 14.4k 2400
%
%      Baudo:<n>   6    Baud rate of caller (whole no). Eg. 14400 2400
%
%      Baudk:<n>   6    Baud rate of caller in K. Eg. 14.4k 2.4k
%
%      Time:<n>    6    Time the caller called. Note that in a multiline
%                       system, the callers report will be sorted by time of
%                       call for consistancy. Shown as hr:mn+
%
%      OnFor:<n>   5    The amount of time (minutes) caller was on for. This
%                       figure is shown in hr:mn format.
%
%      Calls:<n>   4    Number of previous calls this caller has made to the
%                       system.
%
%      TUpKb:<n>   7    The total number of Kb's uploaded.
%
%      TDnKb:<n>   7    The total number of Kb's downloaded.
%
%      DnKb:<n>    6    The total number of Kb's downloaded during the
%                       callers session.
%
%      Priv:<n>    7    The priviliage level of the caller.
%
%      City:<n>   20    The callers location (city).
%
%      S:<n>       1    Insert space between columns.
%
%
CallOptions             No:-3 Time:-7 S:2 Name:18 S:1 Priv:6 Line:-3
                        Baud:-7 OnFor:-6 DnKb:-5 S:2 City:14 S:1
%
% Looks Like:
%Ŀ
% White Lightning                                       Yesterday's Callers 
%Ĵ
%  # Called  Caller's Name      Access N#   Baud OnFor KbDl  Caller's City  
%Ĵ
%  1  5:22p  Emmanuel Donaldson Normal  2  14.4k    10  300  Unknown        
%  2  5:46p  David Pevreal      VIP     2   2400     3   10  Lost City      
%  3  5:50p  Craig Allsop       SysOp   1  28.8k    20  844  Brisbane Aust. 
%
%CallOptions            No:-4 Time:-7 Line:-3 S:3 Name:19 S:1
%                       Baudo:-7 OnFor:-7 S:3 City:20 S:1
%
% Looks Like:
%Ŀ
% White Lightning                                       Yesterday's Callers 
%Ĵ
%   # Called N#   Caller's Name          Baud  OnFor   Caller's City        
%Ĵ
%   1  5:22p  2   Emmanuel Donaldson    14400     10   Unknown              
%   2  5:46p  2   David Pevreal          2400      3   Lost City            
%   3  5:50p  1   Craig Allsop          28800     20   Brisbane Aust.       
%
%
%
% LastCallers           Enable the use of the 'n Last Calls' report. This
%                       value controls the number of calls which appears on
%                       this report.  The command line switch 'a' must be used
%                       to acually generate the report.

LastCallers             15

%
% RenumberCalls         This option will force a renumber of call numbers in
%                       the caller reports if when users are removed with the
%                       options 'ListNewUsers' and 'PrivilNoListA/B'.

RenumberCalls           No

%
% CallerLines           Number of lines per page for Caller's reports.
%                       Recommended is 15 for a 25 line screen, or use 0 for
%                       no paging (as in the the way it used to be)

CallerLines             0

%
% CentrePrompt          A Yes here will centre the 'Press ENTER to continue'
%                       after each report, otherwise it appears on the left.

CallCentrePrompt        Yes

%
% NoMore                The following two options control the exclusion of the
%                       more prompts in each type of reports. Ie. a YES will
%                       disable more prompts that Maximus automatically inserts.

CallNoMore              No

%
% UseAlias              This is either Yes or No depending on if you wish
%                       Aliases to be displayed on the reports. If a user
%                       doesn't have an alias defined (blank) then their real
%                       name will be used.

CallUseAlias            Yes

%
% PrivilNewB            Privil (B=below) below this level are considered new
% v1.07                 users. Flags maybe used, eg. if say Normal/X then all
%                       users with priviliage less than Normal (not including)
%                       AND have the X flag set will be considered a new user
%                       and will be highlighted as one or controlled with the
%                       next two options. Twit=Disabled.

CallPrivilNewB          Twit

%
% ListNewUsers          Determins if MaxAll will list new users (ie. their
%                       first call) on the caller reports. Overrides the
%                       following option.

CallListNewUsers        Yes

%
% MaskNewUsers          If the above option is YES then this flag takes effect
% v1.07                 on new users, if YES new users will be masked with the
%                       following name mask

CallMaskNewUsers        No

%
% NewUserMask           This defines the name mask to use for the above
% v1.07                 option. The ~ characters indicate the maximum length
%                       for the name. The name should include underscores in
%                       place of spaces.

NewUserMask             ***_NEW_USER_***

%                       ~~~~~~~~~~~~~~~~~~~~
%
% PrivilNoList          Privil (A=equal to and above/B=below) not to list. Ie.
%                       A user with a privil outside this range will not be
%                       listed. Keys can be used here. Overrides the following
%                       option. Eg. NoListA=Extra would make MaxAll ignore all
%                       users with Extra or above access.

CallPrivilNoListA       Hidden
CallPrivilNoListB       Twit

%
% PrivilMasked          Privil (A=equal to and above/B=below) range limit that
%                       MaxAll will force masking of the username. Eg. MaskedA=
%                       Extra would make MaxAll mask users with Extra or above
%                       access. See NameMask below to control the name masking,
%                       this option also includes CityMask.

CallPrivilMaskedA       Extra
CallPrivilMaskedB       Twit

%
% PrivilHidden          Privil required by user when MaxAll honors "Show in
%                       List" flag. Eg. Extra will mean all users with
%                       Extra access or higher will be able to control their
%                       name being listed by the Maximus "Show in List" flag.
%                       Hidden=Disabled.

CallPrivilHidden        Worthy

%
% PrivilShowRealname    Users with this privilage or higher will be able to see
%                       user's real name on reports. Only applicable if
%                       UseAlias is in use. Hidden=Disabled. Ie. Only Clerk &
%                       SysOp will 'see' realnames instead of aliases.

CallPrivilShowRealname  Clerk

%
% UseHiddenNames        Hide user names if requested by "Show User in List"
%                       flag in maximus. This will hide the user's name if
%                       they choose not to have it displayed on the reports.
%                       MaxAll will then determine if the user will be listed
%                       or masked out by refering to the 'UseNameMask' &
%                       'NameMask' options defined in the callers options.

CallUseHiddenNames      Yes

%
% UseNameMask           This controls the use of a name mask for users who are
%                       hidden. Ie. MaxAll will insert the string defined by
%                       the following option instead of the user's name. A
%                       user maybe hidden by the two controls above (Masked,
%                       Hidden) and if so the user will either be masked with
%                       the defined mask or ignored (not listed)

CallUseNameMask         Yes

%
% NameMask              This defines the name mask to use for the above
%                       option. The ~ characters indicate the maximum length
%                       for the name. The name should include underscores in
%                       place of spaces.

NameMask                ********************

%                       ~~~~~~~~~~~~~~~~~~~~
%
% CityHide              This controls the use of the city mask IF 1. the user
%                       has hidden their name, 2. UseHiddenNames is Yes and 3.
%                       UseNameMask is Yes.  Another words, you can hide the
%                       callers city if their name has been masked. Of course,
%                       if you do not use name masks the user's name will not
%                       appear on the callers report thus making these next
%                       two options disabled.

CityHide                Yes

%
% CityMask              This defines the city mask to use for the above
%                       option. This is used the same way NameMask is used.

CityMask                ********************

%                       ~~~~~~~~~~~~~~~~~~~~
%
% Confused? Here is how MaxAll's logic flows (not that it will help), each box
% represents the options above. For ListNewUser and UseNameMask if they are NO
% their result will always be false. The others will be true if the user's
% privil level matches the conditions specified by the options above.
%
% User Ŀ                      User's Realname enters logic.
%                v
%              Ŀ
%               UseAlias?  
%              
%                 False   True
%                        v
%                    Ŀ
%                    Alias           User's Alias is now used.
%                    
%                        
%                v        v
%              Ŀ
%              ListNewUser? False > NOT Listed.
%              
%                 True
%                v
%              Ŀ
%              MaskNewUser?
%              
%                 False   True
%                        v
%                   Ŀ
%                   Masked           New user mask is now used.
%                   
%                        
%                v        v
%              Ŀ
%              PrivilNoList True > NOT Listed.
%              
%                 False
%                v
%              Ŀ
%       True PrivilMasked
%             
%                False
%               v
%             Ŀ
%             PrivilHidden False > Listed Normal.
%             
%                True
%               v
%             Ŀ
%             User.NoListFlag False > Listed Normal.
%             
%                True
%               v
%             Ŀ
%             UseHiddenNames False > Listed Normal.
%             
%                True
%               v
%             Ŀ
%      >UseNameMask? True > Listed MASKED.
%              
%                 False
%                > NOT Listed.
%
%
%
% Privil levels         The following lists each privilage level and the label
%                       which will be used in the today's callers option
%                       'Privil'. Note that if the label is longer than the
%                       width of option 'Privil' then it will be truncated.
%                       This is why these labels are only 6 characters long.

Local                   Local
Twit                    !Twit!
A1                      ?
Disgrace                Disgrc
Limited                 Limitd
Normal                  Normal
Worthy                  Vt.Sys
Privil                  Member
Favored                 Member
Extra                   _VIP._
Clerk                   Clerk
AsstSysOp               As.Sys
A2                      ?
SysOp                   SysOp!
Hidden                  Hidden

%
%Ŀ
% The following options relate to the general reports:                      
%

%
% CentrePrompt          A Yes here will centre the 'Press ENTER to continue'
%                       after each report, otherwise it appears on the left.

RepCentrePrompt         Yes

%
% NoMore                The following two options control the exclusion of the
%                       more prompts in each type of reports. Ie. a YES will
%                       disable more prompts that Maximus automatically inserts.

RepNoMore               Yes

%
% UseAlias              This is either Yes or No depending on if you wish
%                       Aliases to be displayed on the reports. If a user
%                       doesn't have an alias defined (blank) then their real
%                       name will be used.

RepUseAlias             Yes

%
% ListNewUsers          Determins if MaxAll will list new users (ie. their
%                       first call) on the caller reports. Overrides the
%                       following option.

RepListNewUsers         Yes

%
% PrivilNoList          Privil (A=equal to and above/B=below) not to list. Ie.
%                       A user with a privil outside this range will not be
%                       listed. Keys can be used here. Overrides the following
%                       option. Eg. NoListA=Extra would make MaxAll ignore all
%                       users with Extra or above access.

RepPrivilNoListA        Extra
RepPrivilNoListB        Twit

%
% PrivilMasked          Privil (A=equal to and above/B=below) range limit that
%                       MaxAll will force masking of the username. Eg. MaskedA=
%                       Extra would make MaxAll mask users with Extra or above
%                       access. See NameMask below to control the name masking,
%                       this option also includes CityMask.

RepPrivilMaskedA        Hidden
RepPrivilMaskedB        Twit

%
% PrivilHidden          Privil required by user when MaxAll honors "Show in
%                       List" flag. Eg. Hidden=Extra will mean all users with
%                       Extra access or higher will be able to control their
%                       name being listed by the Maximus "Show in List" flag.

RepPrivilHidden         Worthy

%
% PrivilShowRealname    Users with this privilage or higher will be able to see
%                       user's real name on reports. Only applicable if
%                       UseAlias is in use. Hidden=Disabled

RepPrivilShowRealname   Clerk

%
% UseHiddenNames        Hide user names if requested by "Show User in List"
%                       flag in maximus. This will hide the user's name if
%                       they choose not to have it displayed on the reports.
%                       MaxAll will then determine if the user will be listed
%                       or masked out by refering to the 'UseNameMask' &
%                       'NameMask' options defined in the callers options.

RepUseHiddenNames       Yes

%
% UseNameMask           This controls the use of a name mask for users who are
%                       hidden. Ie. MaxAll will insert the string defined by
%                       the following option instead of the user's name. A
%                       user maybe hidden by the two controls above (Masked,
%                       Hidden) and if so the user will either be masked with
%                       the defined mask or ignored (not listed)

RepUseNameMask          Yes

%
%Ŀ
% The following options relate to the usage reports:                        
%
%
%
% UsageLines            This is the total number of lines (on screen) that the
%                       usage graphs will take up. 15 is the default so as to
%                       fit the graph on one page of 80x25.

UsageLines              15

%
% UsageDays             The following tokens define the title and number of
% UsageTitle            days for upto 3 usage reports. To disable a usage
%                       graph, set the number of days to zero.

UsageDays1              7
UsageTitle1             Weekly_Usage/Hour
%                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

UsageDays2              30
UsageTitle2             Monthly_Usage/Hour
%                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

UsageDays3              90
UsageTitle3             Quarterly_Usage/Hour
%                       ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

%
% UsageHrs              This string is displayed under the usage graph bars,
%                       the string should be EXACTLY the same length as the
%                       line below them. The '^' symbols indicate the
%                       positions of the even hour bars, the odd hour bars
%                       appear between these but don't attempt to number them
%                       as they are on weird character boundaries. Be careful
%                       editing these string, spaces should are indicated with
%                       underscores. Either 24 hour line or 12 hour line maybe
%                       be used but not both.

%UsageHrs _%/Hr:_Night___________Morning______Midday______Evening________Night__
%UsageHrs _%/Hr:__00___02___04___06___08___10____12___14___16___18___20___22____
 UsageHrs _%/Hr:_12am__2am__4am__6am__8am_10am__12pm__2pm__4pm__6pm__8pm_10pm___

%         ~~~~~~~~^^~~~^^~~~^^~~~^^~~~^^~~~^^~~~~^^~~~^^~~~^^~~~^^~~~^^~~~^^~~~~
%
%Ŀ
% Include your choice of colour scheme:                                     
%
%
% Uncomment only one colour scheme:

#include cyan.ctl
%#include blue.ctl
%#include black.ctl

